import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { ErrorsPageComponent } from './errors-page.component';

const routes: Routes = [
  {
    path: '',
    component: ErrorsPageComponent,
    children: [
      { path: '404', loadChildren: './e404/e404-page.module#E404PageModule' },
      { path: '500', loadChildren: './e500/e500-page.module#E500PageModule' },
    ]
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class ErrorsPageRoutingModule { }
