import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { SettingComponent } from './components/setting/setting.component';
import { MaterialModule } from 'app/commons/ui/material/material.module';

@NgModule({
  imports: [
    CommonModule,
    MaterialModule
  ],
  declarations: [
    SettingComponent,
  ],
  exports: [
    SettingComponent,
  ]
})
export class DiscoveryModule { }
